adinstbpm - Feature #17771
Milestone # 17719 (New): Booster operational test of one crate alongside existing BPM system

Support for flash-turn and flash-orbit measurements
09/25/2017 01:31 PM - John Diamond

Status: Work in progress Start date: 09/25/2017
Priority: Normal Due date:

Assignee: John Diamond % Done: 90%
Category: Estimated time: 40.00 hours
Target version: Spent time: 48.00 hours
Description

Support for single-sample measurements that can be stored in circular buffer.

History

#1 - 10/05/2017 10:09 AM - John Diamond
- % Done changed from 0 to 80

Refactored where DAQ data is stored -

DAQ data buffers are no longer a part of Measurement

A new class-heirarcy called IReading was created with descendants such as TBTReading and FlashReading

The IReadings are basically data buffers. Measurements can produce multiple readings. For example, in a typical booster cycle the DAQ
modules may digitize all 20000 turns but the user may only be interested in a single-turn ("flash-turn") reading of the DAQ modules. On another
cycle the user may request a turn-by-turn and a flash-turn reading.

e The Measurement table now contains far-less data and may be expanded to thousands of entries to give the user a history of the DAQ module
activity

Implemented dump_flash_turn and dump_flash_turn_history CLI commands for viewing flash-turn readings

e Expanded the Control readout command to support specifying which readings to make and which turn/orbit to readout

Need to implement support for reading Flash-Orbit and Raw data.

#2 - 10/06/2017 01:02 PM - John Diamond

Raw reading support has been implemented.

#3 - 10/06/2017 01:02 PM - John Diamond
- % Done changed from 80 to 90
